PROJECT=io.cube
SOURCES=$(PROJECT).c ../apa.c ../apa.h
MMCU=atmega88
F_CPU = 20000000

CFLAGS=-mmcu=$(MMCU) -Wall -Os -DF_CPU=$(F_CPU)

$(PROJECT).hex: $(PROJECT).out
	avr-objcopy -O ihex $(PROJECT).out $(PROJECT).hex;\
	avr-size --mcu=$(MMCU) --format=avr $(PROJECT).out
 
$(PROJECT).out: $(SOURCES)
	avr-gcc $(CFLAGS) -I./ -o $(PROJECT).out $(SOURCES)

program-usbtiny: $(PROJECT).hex
	avrdude -p m88 -P usb -c usbtiny -U flash:w:$(PROJECT).hex

program-usbtiny-fuses: $(PROJECT).hex
	avrdude -p m88 -P usb -c usbtiny -U lfuse:w:0x5E:m -U hfuse:w:0xDF:m -U efuse:w:0xFF:m

program-avrisp2: $(PROJECT).hex
	avrdude -p m88 -P usb -c avrisp2 -U flash:w:$(PROJECT).hex

program-avrisp2-fuses: $(PROJECT).hex
	avrdude -p m88 -P usb -c avrisp2 -U lfuse:w:0x5E:m -U hfuse:w:0xDF:m -U efuse:w:0xFF:m
